For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
      • GETGet receivables
      • POSTSearch receivables
      • POSTCreate a draft receivable
      • POSTClone a receivable
      • GETGet a receivable by ID
      • PATCHUpdate a receivable
      • PUTUpdate the line items of a receivable
      • POSTVerify a receivable
      • POSTIssue a receivable
      • GETGet a link to the PDF version of a receivable
      • DELDelete a draft receivable
        • POSTAccept a quote
        • POSTDecline a quote
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts receivableReceivables (invoices, quotes, credit notes)Quotes

Accept a quote

POST
/receivables/:receivable_id/accept
POST
/v1/receivables/:receivable_id/accept
$curl -X POST https://api.sandbox.monite.com/v1/receivables/receivable_id/accept \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "signature": {
> "email": "theo@example.com",
> "full_name": "Theo Quinn",
> "signature_image": "iVBORw0KGgoAAAANSUhEUg.....AAABJRU5ErkJggg=="
> }
>}'
1{
2 "success": true
3}

Only quotes in the issued status can be accepted.

When a quote is accepted, Monite automatically creates a draft invoice based on this quote. To find the newly created invoice, use GET /receivables?based_on=QUOTE_ID.

Was this page helpful?
Previous

Decline a quote

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receivable_idstringRequired
ID of the quote to mark as accepted.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
signatureobjectOptional
The counterpart's signature. Required if the quote field `signature_required` is `true`. If the entity setting `document_rendering.quote.display_signature` is `true` or if this setting is overridden to `true` on the quote level, the PDF version of the quote will be updated to include the signature details.

Response

Successful Response
successbooleanDefaults to true

Errors

400
Post Receivables ID Accept Request Bad Request Error
401
Post Receivables ID Accept Request Unauthorized Error
403
Post Receivables ID Accept Request Forbidden Error
404
Post Receivables ID Accept Request Not Found Error
409
Post Receivables ID Accept Request Conflict Error
422
Post Receivables ID Accept Request Unprocessable Entity Error
429
Post Receivables ID Accept Request Too Many Requests Error

The counterpart’s signature. Required if the quote field signature_required is true.

If the entity setting document_rendering.quote.display_signature is true or if this setting is overridden to true on the quote level, the PDF version of the quote will be updated to include the signature details.